#!/usr/bin/env python
import RPi.GPIO as GPIO
import time , datetime , json 

from bottle import route, run, template, static_file, request, post , get
import threading

from math import *

from tkinter import *
from tkinter.messagebox import *
from tkinter import ttk
import tkinter as tk
#import bme280

GPIO.setwarnings(False)



@route('/')
def index():
    return template('www/index.html')

@route('/index.html')
def index():
    return template('www/index.html')

@route('/player_1c.html')
def index():
    return template('www/player_1c.html')



@route('/order/')
def index3():
    global auto_order
    global race_flag
    flag=request.query.flag

    if (flag!=""):
        
        y=int(flag)
        pwm1.ChangeDutyCycle(y)
        valpwm.set(str(y))
    
    #data_update()
    data_out="O"
    return data_out




@route('/images/<images>')
def server_static(images):
    return static_file(images, root='www/images')




def serveurweb():
    run(host='0.0.0.0', port=8080)



threading.Thread(target=serveurweb).start()



# Global Variables


test_number=0
power_level=0
power_level_ok=0

util=0



GPIO.setmode(GPIO.BOARD)
# pin GPIO
piste_1_pin_pwm = 37  # PIN 37

GPIO.setup(piste_1_pin_pwm, GPIO.OUT)  # pin configurée en sortie
pwm1 = GPIO.PWM(piste_1_pin_pwm, 50)  # pwm à une fréquence de 50 Hz
rapport = 0       # rapport cyclique initial de 0%
pwm1.start(rapport) 







def change_power(f):
    #y=int(echelle.get())
    y=int(f)
    pwm1.ChangeDutyCycle(y)
    valpwm.set(str(y))
    #print (f)
    
def bt_stop():
    #remise a zero des relevés
    
    pwm1.ChangeDutyCycle(0)


     
    

## Interface Graphique
## -------------------
fenetre = Tk()

# a parametrer dans .ini
menu_width=300

fenetre.minsize(width=400, height=400)
fenetre.maxsize(width=400, height=400)
fenetre.wm_title("Web Speed - Serveur ")

####
p = PanedWindow(fenetre, orient=HORIZONTAL)
p.pack(side=TOP, expand=Y, fill=BOTH, pady=2, padx=2)
#zone menue
#zone1=Label(p, text='Volet 1', background='blue', anchor=CENTER)

Frame1 = Frame(p, borderwidth=2, relief=GROOVE,width=300)
Frame1.pack(side=LEFT, padx=2, pady=2)

Frame_tortue = Frame(p, borderwidth=2, relief=GROOVE,width=650)
Frame_tortue.pack(side=LEFT, padx=2, pady=2)



p.add(Frame1)
p.pack()

#new onglets

nb = ttk.Notebook(Frame1)

# adding Frames as pages for the ttk.Notebook 
# 1er onglet

onglet1 = ttk.Frame(nb)
nb.add(onglet1, text='Commandes')


nb.pack(expand=1, fill="both")

#new




lignes_droites = LabelFrame(onglet1, text="Control", padx=2, pady=2,height=30)
lignes_droites.pack(fill="both", expand="yes")
pa = PanedWindow(lignes_droites, orient=HORIZONTAL)
pa.pack(side=TOP, expand=Y, fill=BOTH, pady=1, padx=1)
pa.add(Button(fenetre, text="Stop", wraplength=menu_width ,command=bt_stop))


lignes_droites = LabelFrame(onglet1, text="Vitesse", padx=2, pady=2,height=30)
lignes_droites.pack(fill="both", expand="yes")
pa = PanedWindow(lignes_droites, orient=HORIZONTAL)
pa.pack(side=TOP, expand=Y, fill=BOTH, pady=1, padx=1)

echelle=Scale(onglet1, orient='horizontal', from_=0, to=40,
      resolution=1, tickinterval=20, length=350,
      label='Voiture 1', command=change_power)
pa.add(echelle)

# onglet CSV




fenetre.mainloop()

